XkbAddGeomProperty(3)

NAME
XkbAddGeomProperty - Add one property to an existing keyboard geometry description

SYNOPSIS
XkbPropertyPtr XkbAddGeomProperty ( geom, name, value )
      XkbGeometryPtr geom;
      char * name;
      char * value;

ARGUMENTS

- geom
    geometry to be updated

- name
    name of the new property

- value
    value for the new property

DESCRIPTION

Xkb provides functions to add a single new element to the top-level keyboard geometry. In each case the num_ * fields of the corresponding structure is incremented by 1. These functions do not change sz_* unless there is no more room in the array. Some of these functions fill in the values of the element's structure from the arguments. For other functions, you must explicitly write code to fill the structure's elements. The top-level geometry description includes a list of geometry properties. A geometry property associates an arbitrary string with an equally arbitrary name. Programs that display images of keyboards can use geometry properties as hints, but they are not interpreted by Xkb. No other geometry structures refer to geometry properties. XkbAddGeomProperty adds one property with the specified name and value to the keyboard geometry specified by geom. XkbAddGeomProperty returns NULL if any of the parameters is empty or if it was not able to allocate space for the property. To allocate space for an arbitrary number of properties, use the XkbAllocGeomProps function.

STRUCTURES

    typedef struct _XkbProperty {
        char *         name;       /* property name */
        char *         value;      /* property value */
    } XkbPropertyRec,*XkbPropertyPtr;

SEE ALSO
XkbAllocGeomProps(3)